[Overview][Types][Procedures and functions][Variables][Index] | Reference for unit 'LCLIntf' (#lcl)

# PromptUser

## Declaration

Source position: lclintfh.inc line 92

`function PromptUser(`
`const DialogCaption: string;`
`const DialogMessage: string;`
`DialogType: LongInt;`
`Buttons: PLongint;`
`ButtonCount: LongInt;`
`DefaultIndex: LongInt;`
`EscapeResult: LongInt`
`):LongInt; function PromptUser(`
`const DialogMessage: string;`
`DialogType: LongInt;`
`Buttons: array of LongInt;`
`DefaultIndex: LongInt;`
`EscapeResult: LongInt`
`):LongInt; function PromptUser(`
`const DialogMessage: string;`
`DialogType: LongInt;`
`Buttons: PLongint;`
`ButtonCount: LongInt;`
`DefaultIndex: LongInt;`
`EscapeResult: LongInt`
`):LongInt; function PromptUser(`
`const DialogCaption: string;`
`const DialogMessage: string;`
`DialogType: LongInt;`
`Buttons: array of LongInt;`
`DefaultIndex: LongInt;`
`EscapeResult: LongInt`
`):LongInt;`